QGIS Application - Bug report #21028
DB manager: SQLite objects created in a thread can only be used in that same thread
2019-01-18 10:52 AM - Janneke van Dijk

Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: DB Manager

Affected QGIS version:3.4.3 Regression?: No

Operating System: Any Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 28847
Description

On a geopackage, when running a SQL query, the first query will run fine, but quite soon | will get the error message "SQLite objects
created in a thread can only be used in that same thread". It seems a normal select query can be run repetitively, but for example a query
creating a trigger, or using transform cannot be run twice in a row. The only way to continue with the SQL query is to close the DB
manager and start it again. Let me know if | need to do more tests. | have attached a geo package which shows the problem, but have
tried with several others with the same issue.

Related issues:
Related to QGIS Application - Bug report # 18974: No geometry operation on ge... Open 2018-05-17
Duplicates QGIS Application - Bug report # 20331: DB Manager - error editing ... Open 2018-11-02

Associated revisions

Revision 8fb112d2 - 2019-03-11 04:04 PM - Alessandro Pasotti

[db-manager] Invalidate sqlite connection if it was created in another thread

Fixes #21028 - DB manager: SQLite objects created in a thread can only be used in that same thread

Revision b0b068d4 - 2019-03-11 04:04 PM - Alessandro Pasotti

[db-manager] Invalidate sqlite connection if it was created in another thread

Fixes #21028 - DB manager: SQLite objects created in a thread can only be used in that same thread

Revision 4ce65d27 - 2019-03-11 04:04 PM - Alessandro Pasotti

[db-manager] Invalidate sqlite connection if it was created in another thread

Fixes #21028 - DB manager: SQLite objects created in a thread can only be used in that same thread

Revision bd54f9a2 - 2019-03-14 09:58 AM - Alessandro Pasotti

[db-manager] Invalidate sqlite connection if it was created in another thread

Fixes #21028 - DB manager: SQLite objects created in a thread can only be used in that same thread
History

#1 - 2019-01-18 12:33 PM - Janneke van Dijk

This might be the same as #20331 - though | can run consecutive 'plain' select statements without the message popping up

#2 - 2019-03-11 08:26 AM - Alessandro Pasotti
- Assignee set to Alessandro Pasotti

#3 - 2019-03-11 12:04 PM - Giovanni Manghi

This seems also the same issue... actually at the moment no query (even the first one) works on GPKGs in DB Manager #18974-6

#4 - 2019-03-11 12:04 PM - Giovanni Manghi
- Related to Bug report #20331: DB Manager - error editing an SQLite query - single threads added

#5 - 2019-03-11 12:04 PM - Giovanni Manghi
- Related to Bug report #18974: No geometry operation on geopackages layers added

#6 - 2019-03-11 04:08 PM - Alessandro Pasotti

- Operating System changed from Windows 10 - 64 to Any
- Status changed from Open to In Progress

- Pull Request or Patch supplied changed from No to Yes
- Resolution set to fixed/implemented

PR https://github.com/qgis/QGIS/pull/9478

#7 - 2019-03-11 04:26 PM - Alessandro Pasotti
- Related to deleted (Bug report #20331: DB Manager - error editing an SQLite query - single threads)

#8 - 2019-03-11 04:26 PM - Alessandro Pasotti
- Duplicates Bug report #20331: DB Manager - error editing an SQLite query - single threads added

#9 - 2019-03-11 09:28 PM - Alessandro Pasotti
- Status changed from In Progress to Closed
- % Done changed from 0 to 100

Applied in changeset commit:qgis|8fb112d26fd8ed59b51c0bbe36c08fa36578ach1.
